Page MenuHomePhabricator

Upgrade Netbox to 2.5.x
Closed, ResolvedPublic

Description

Netbox is currently in the 2.4.x versions. 2.5 depends on Python 3.5 is the only real caveat.

  • Write sanitize / dump script for production Netbox -> test Netbox
  • Test upgrade in Automation Framework WMCS project
    • Build new netbox instance on Stretch at version 2.4.x
    • Rebuild netbox instance using scapish / puppet
    • Install sanitized dump
    • Test upgrade to 2.5 in place, verify
    • Update deploy repository
      • Update our copy of upstream to v2.5.3 after reviewing
      • Resubmit deploy repository with our upstream.
  • Update production Netbox
  • Port existing reports to 2.5 (there are changes to console connections and other things)

Event Timeline

crusnov created this task.Dec 21 2018, 6:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 21 2018, 6:41 PM
crusnov triaged this task as Normal priority.Dec 21 2018, 6:46 PM
crusnov moved this task from Backlog to In Progress on the Operations-Software-Development board.
crusnov removed a subscriber: Aklapper.

Sanitization list (so far, RFC):

  • MAC addresses
  • Serial numbers
  • Circuit IDs

Updated https://wikitech.wikimedia.org/wiki/Netbox with sanitizer script. If anyone has opinions on copying over passwords I'm interested, for the time being i'll blank them all except for mine for convenience.

Updated https://wikitech.wikimedia.org/wiki/Netbox with sanitizer script. If anyone has opinions on copying over passwords I'm interested, for the time being i'll blank them all except for mine for convenience.

The netbox instance in WMCS should not use the same LDAP config of production and also should not use the same passwords (I'm not sure what Netbox actually saves as password when logging in via LDAP).
A solution could be to add a test user via the Django CLI on the WMCS instance once imported.

Updated https://wikitech.wikimedia.org/wiki/Netbox with sanitizer script. If anyone has opinions on copying over passwords I'm interested, for the time being i'll blank them all except for mine for convenience.

The netbox instance in WMCS should not use the same LDAP config of production and also should not use the same passwords (I'm not sure what Netbox actually saves as password when logging in via LDAP).
A solution could be to add a test user via the Django CLI on the WMCS instance once imported.

Sounds good to me. Thanks for the feedback.

crusnov updated the task description. (Show Details)Jan 15 2019, 6:39 PM
crusnov updated the task description. (Show Details)Jan 16 2019, 7:42 PM
crusnov updated the task description. (Show Details)Jan 18 2019, 4:28 AM

Change 485142 had a related patch set uploaded (by CRusnov; owner: CRusnov):
[operations/software/netbox-deploy@master] Upgrade netbox to v2.5.2

https://gerrit.wikimedia.org/r/485142

crusnov updated the task description. (Show Details)Jan 22 2019, 9:05 PM
crusnov updated the task description. (Show Details)Jan 23 2019, 5:24 PM

Change 485142 merged by CRusnov:
[operations/software/netbox-deploy@master] Upgrade netbox to v2.5.3

https://gerrit.wikimedia.org/r/485142

Mentioned in SAL (#wikimedia-operations) [2019-01-23T23:28:51Z] <crusnov@deploy1001> Started deploy [netbox/deploy@aa3c342]: Upgrade netbox to 2.5.3 - T212524

Mentioned in SAL (#wikimedia-operations) [2019-01-23T23:32:02Z] <crusnov@deploy1001> Finished deploy [netbox/deploy@aa3c342]: Upgrade netbox to 2.5.3 - T212524 (duration: 04m 46s)

Mentioned in SAL (#wikimedia-operations) [2019-01-25T01:18:24Z] <crusnov@deploy1001> Started deploy [netbox/deploy@7770453]: Upgrade netbox to 2.5.3 - T212524

Mentioned in SAL (#wikimedia-operations) [2019-01-25T01:26:08Z] <crusnov@deploy1001> Finished deploy [netbox/deploy@7770453]: Upgrade netbox to 2.5.3 - T212524 (duration: 07m 43s)

Mentioned in SAL (#wikimedia-operations) [2019-01-25T01:27:33Z] <crusnov@deploy1001> Started deploy [netbox/deploy@7770453]: Upgrade netbox to 2.5.3 - T212524 Try 2

Mentioned in SAL (#wikimedia-operations) [2019-01-25T01:28:04Z] <crusnov@deploy1001> Finished deploy [netbox/deploy@7770453]: Upgrade netbox to 2.5.3 - T212524 Try 2 (duration: 00m 31s)

Mentioned in SAL (#wikimedia-operations) [2019-01-25T01:33:14Z] <crusnov@deploy1001> Started deploy [netbox/deploy@7770453]: Cleanup deploy - T212524

Mentioned in SAL (#wikimedia-operations) [2019-01-25T01:33:25Z] <crusnov@deploy1001> Finished deploy [netbox/deploy@7770453]: Cleanup deploy - T212524 (duration: 00m 11s)

crusnov updated the task description. (Show Details)Jan 25 2019, 1:50 AM

Change 487380 had a related patch set uploaded (by CRusnov; owner: CRusnov):
[operations/software/netbox-reports@master] management.py: trivial change to adapt for Netbox 2.5+

https://gerrit.wikimedia.org/r/487380

Change 487380 merged by Volans:
[operations/software/netbox-reports@master] management.py: trivial change to adapt for Netbox 2.5+

https://gerrit.wikimedia.org/r/487380

crusnov closed this task as Resolved.Mar 19 2019, 6:14 PM